DPDK patches and discussions
 help / color / mirror / Atom feed
* [dpdk-dev] [PATCH] devtools: trap SIGINT is not recognizable to dash
@ 2018-08-01  5:22 Gavin Hu
  2018-08-01 10:40 ` [dpdk-dev] [dpdk-stable] " Mcnamara, John
  2018-08-03 22:17 ` [dpdk-dev] " Stephen Hemminger
  0 siblings, 2 replies; 7+ messages in thread
From: Gavin Hu @ 2018-08-01  5:22 UTC (permalink / raw)
  To: dev; +Cc: honnappa.nagarahalli, gavin.hu, stable

When running checkpatch.sh, it generates the following error
on some linux distributions(like Debian) with Dash as the
default shell interpreter.
trap: SIGINT: bad trap

The fix is to replace SIGINT with INT signal, it works for
both bash and dash.

Fixes: 4bec48184e ("devtools: add checks for ABI symbol addition")
Cc: stable@dpdk.org

Signed-off-by: Gavin Hu <gavin.hu@arm.com>
Reviewed-by: Honnappa Nagarahalli <honnappa.nagarahalli@amr.com>
---
 devtools/checkpatches.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/devtools/checkpatches.sh b/devtools/checkpatches.sh
index 2509269df..ba795ad1d 100755
--- a/devtools/checkpatches.sh
+++ b/devtools/checkpatches.sh
@@ -29,7 +29,7 @@ clean_tmp_files() {
 	fi
 }
 
-trap "clean_tmp_files" SIGINT
+trap "clean_tmp_files" INT
 
 print_usage () {
 	cat <<- END_OF_HELP
-- 
2.11.0

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [dpdk-dev] [dpdk-stable] [PATCH] devtools: trap SIGINT is not recognizable to dash
  2018-08-01  5:22 [dpdk-dev] [PATCH] devtools: trap SIGINT is not recognizable to dash Gavin Hu
@ 2018-08-01 10:40 ` Mcnamara, John
  2018-08-01 13:09   ` Varghese, Vipin
  2018-08-01 14:37   ` Thomas Monjalon
  2018-08-03 22:17 ` [dpdk-dev] " Stephen Hemminger
  1 sibling, 2 replies; 7+ messages in thread
From: Mcnamara, John @ 2018-08-01 10:40 UTC (permalink / raw)
  To: Gavin Hu, dev; +Cc: honnappa.nagarahalli, stable



> -----Original Message-----
> From: stable [mailto:stable-bounces@dpdk.org] On Behalf Of Gavin Hu
> Sent: Wednesday, August 1, 2018 6:23 AM
> To: dev@dpdk.org
> Cc: honnappa.nagarahalli@arm.com; gavin.hu@arm.com; stable@dpdk.org
> Subject: [dpdk-stable] [PATCH] devtools: trap SIGINT is not recognizable to
> dash
> 
> When running checkpatch.sh, it generates the following error on some linux
> distributions(like Debian) with Dash as the default shell interpreter.
> trap: SIGINT: bad trap
> 
> The fix is to replace SIGINT with INT signal, it works for both bash and
> dash.
> 
> Fixes: 4bec48184e ("devtools: add checks for ABI symbol addition")
> Cc: stable@dpdk.org
> 
> Signed-off-by: Gavin Hu <gavin.hu@arm.com>
> Reviewed-by: Honnappa Nagarahalli <honnappa.nagarahalli@amr.com>

Acked-by: John McNamara <john.mcnamara@intel.com>

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [dpdk-dev] [dpdk-stable] [PATCH] devtools: trap SIGINT is not recognizable to dash
  2018-08-01 10:40 ` [dpdk-dev] [dpdk-stable] " Mcnamara, John
@ 2018-08-01 13:09   ` Varghese, Vipin
  2018-08-01 14:37   ` Thomas Monjalon
  1 sibling, 0 replies; 7+ messages in thread
From: Varghese, Vipin @ 2018-08-01 13:09 UTC (permalink / raw)
  To: dev, Gavin Hu, dev; +Cc: honnappa.nagarahalli, stable

Checked with Ubuntu 16.04.4 LTS, it works.

Acked-by: Vipin Varghese <vipin.varghese@intel.com>

> -----Original Message-----
> From: dev <dev-bounces@dpdk.org>
> Sent: Wednesday, August 1, 2018 4:10 PM
> To: Gavin Hu <gavin.hu@arm.com>; dev@dpdk.org
> Cc: honnappa.nagarahalli@arm.com; stable@dpdk.org
> Subject: Re: [dpdk-dev] [dpdk-stable] [PATCH] devtools: trap SIGINT is not
> recognizable to dash
> 
> 
> 
> > -----Original Message-----
> > From: stable [mailto:stable-bounces@dpdk.org] On Behalf Of Gavin Hu
> > Sent: Wednesday, August 1, 2018 6:23 AM
> > To: dev@dpdk.org
> > Cc: honnappa.nagarahalli@arm.com; gavin.hu@arm.com; stable@dpdk.org
> > Subject: [dpdk-stable] [PATCH] devtools: trap SIGINT is not
> > recognizable to dash
> >
> > When running checkpatch.sh, it generates the following error on some
> > linux distributions(like Debian) with Dash as the default shell interpreter.
> > trap: SIGINT: bad trap
> >
> > The fix is to replace SIGINT with INT signal, it works for both bash
> > and dash.
> >
> > Fixes: 4bec48184e ("devtools: add checks for ABI symbol addition")
> > Cc: stable@dpdk.org
> >
> > Signed-off-by: Gavin Hu <gavin.hu@arm.com>
> > Reviewed-by: Honnappa Nagarahalli <honnappa.nagarahalli@amr.com>
> 
> Acked-by: John McNamara <john.mcnamara@intel.com>
> 

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [dpdk-dev] [dpdk-stable] [PATCH] devtools: trap SIGINT is not recognizable to dash
  2018-08-01 10:40 ` [dpdk-dev] [dpdk-stable] " Mcnamara, John
  2018-08-01 13:09   ` Varghese, Vipin
@ 2018-08-01 14:37   ` Thomas Monjalon
  1 sibling, 0 replies; 7+ messages in thread
From: Thomas Monjalon @ 2018-08-01 14:37 UTC (permalink / raw)
  To: Gavin Hu; +Cc: dev, Mcnamara, John, honnappa.nagarahalli, stable

> > When running checkpatch.sh, it generates the following error on some linux
> > distributions(like Debian) with Dash as the default shell interpreter.
> > trap: SIGINT: bad trap
> > 
> > The fix is to replace SIGINT with INT signal, it works for both bash and
> > dash.
> > 
> > Fixes: 4bec48184e ("devtools: add checks for ABI symbol addition")
> > Cc: stable@dpdk.org
> > 
> > Signed-off-by: Gavin Hu <gavin.hu@arm.com>
> > Reviewed-by: Honnappa Nagarahalli <honnappa.nagarahalli@amr.com>
> 
> Acked-by: John McNamara <john.mcnamara@intel.com>

Applied, thanks

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [dpdk-dev] [PATCH] devtools: trap SIGINT is not recognizable to dash
  2018-08-01  5:22 [dpdk-dev] [PATCH] devtools: trap SIGINT is not recognizable to dash Gavin Hu
  2018-08-01 10:40 ` [dpdk-dev] [dpdk-stable] " Mcnamara, John
@ 2018-08-03 22:17 ` Stephen Hemminger
  2018-08-04  6:42   ` Gavin Hu
  1 sibling, 1 reply; 7+ messages in thread
From: Stephen Hemminger @ 2018-08-03 22:17 UTC (permalink / raw)
  To: Gavin Hu; +Cc: dev, honnappa.nagarahalli, stable

On Wed,  1 Aug 2018 13:22:57 +0800
Gavin Hu <gavin.hu@arm.com> wrote:

> When running checkpatch.sh, it generates the following error
> on some linux distributions(like Debian) with Dash as the
> default shell interpreter.
> trap: SIGINT: bad trap
> 
> The fix is to replace SIGINT with INT signal, it works for
> both bash and dash.
> 
> Fixes: 4bec48184e ("devtools: add checks for ABI symbol addition")
> Cc: stable@dpdk.org
> 
> Signed-off-by: Gavin Hu <gavin.hu@arm.com>
> Reviewed-by: Honnappa Nagarahalli <honnappa.nagarahalli@amr.com>
> ---
>  devtools/checkpatches.sh | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/devtools/checkpatches.sh b/devtools/checkpatches.sh
> index 2509269df..ba795ad1d 100755
> --- a/devtools/checkpatches.sh
> +++ b/devtools/checkpatches.sh
> @@ -29,7 +29,7 @@ clean_tmp_files() {
>  	fi
>  }
>  
> -trap "clean_tmp_files" SIGINT
> +trap "clean_tmp_files" INT
>  
>  print_usage () {
>  	cat <<- END_OF_HELP

This patch alone is not sufficient to make checkpatch run successfully

./devtools/checkpatches.sh: 52: read: Illegal option -d

It looks like the -d flag to read is also a bash extension.

I recommend changing both checkpatches.sh and check-symbol-changes to have #!/bin/bash

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [dpdk-dev] [PATCH] devtools: trap SIGINT is not recognizable to dash
  2018-08-03 22:17 ` [dpdk-dev] " Stephen Hemminger
@ 2018-08-04  6:42   ` Gavin Hu
  2018-08-06 17:12     ` Stephen Hemminger
  0 siblings, 1 reply; 7+ messages in thread
From: Gavin Hu @ 2018-08-04  6:42 UTC (permalink / raw)
  To: Stephen Hemminger; +Cc: dev, Honnappa Nagarahalli, stable

Hi Stephen,

I am no sure only supporting bash is acceptable or not. Any impact to freebsd?

We should seek wider opinions about this.

I did not meet your problem, either bash or dash, what's your shell?

Best Regards,
Gavin

> -----Original Message-----
> From: Stephen Hemminger <stephen@networkplumber.org>
> Sent: Saturday, August 4, 2018 6:17 AM
> To: Gavin Hu <Gavin.Hu@arm.com>
> Cc: dev@dpdk.org; Honnappa Nagarahalli
> <Honnappa.Nagarahalli@arm.com>; stable@dpdk.org
> Subject: Re: [dpdk-dev] [PATCH] devtools: trap SIGINT is not recognizable to
> dash
>
> On Wed,  1 Aug 2018 13:22:57 +0800
> Gavin Hu <gavin.hu@arm.com> wrote:
>
> > When running checkpatch.sh, it generates the following error on some
> > linux distributions(like Debian) with Dash as the default shell
> > interpreter.
> > trap: SIGINT: bad trap
> >
> > The fix is to replace SIGINT with INT signal, it works for both bash
> > and dash.
> >
> > Fixes: 4bec48184e ("devtools: add checks for ABI symbol addition")
> > Cc: stable@dpdk.org
> >
> > Signed-off-by: Gavin Hu <gavin.hu@arm.com>
> > Reviewed-by: Honnappa Nagarahalli <honnappa.nagarahalli@amr.com>
> > ---
> >  devtools/checkpatches.sh | 2 +-
> >  1 file changed, 1 insertion(+), 1 deletion(-)
> >
> > diff --git a/devtools/checkpatches.sh b/devtools/checkpatches.sh index
> > 2509269df..ba795ad1d 100755
> > --- a/devtools/checkpatches.sh
> > +++ b/devtools/checkpatches.sh
> > @@ -29,7 +29,7 @@ clean_tmp_files() {
> >  fi
> >  }
> >
> > -trap "clean_tmp_files" SIGINT
> > +trap "clean_tmp_files" INT
> >
> >  print_usage () {
> >  cat <<- END_OF_HELP
>
> This patch alone is not sufficient to make checkpatch run successfully
>
> ./devtools/checkpatches.sh: 52: read: Illegal option -d
>
> It looks like the -d flag to read is also a bash extension.
>
> I recommend changing both checkpatches.sh and check-symbol-changes to
> have #!/bin/bash
IMPORTANT NOTICE: The contents of this email and any attachments are confidential and may also be privileged. If you are not the intended recipient, please notify the sender immediately and do not disclose the contents to any other person, use it for any purpose, or store or copy the information in any medium. Thank you.

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [dpdk-dev] [PATCH] devtools: trap SIGINT is not recognizable to dash
  2018-08-04  6:42   ` Gavin Hu
@ 2018-08-06 17:12     ` Stephen Hemminger
  0 siblings, 0 replies; 7+ messages in thread
From: Stephen Hemminger @ 2018-08-06 17:12 UTC (permalink / raw)
  To: Gavin Hu; +Cc: dev, Honnappa Nagarahalli, stable

On Sat, 4 Aug 2018 06:42:53 +0000
Gavin Hu <Gavin.Hu@arm.com> wrote:

> Hi Stephen,
> 
> I am no sure only supporting bash is acceptable or not. Any impact to freebsd?
> 
> We should seek wider opinions about this.
> 
> I did not meet your problem, either bash or dash, what's your shell?
> 
> Best Regards,
> Gavin

I am running Debian testing, still see complaints about -d

$ dpkg -S /bin/sh
diversion by dash from: /bin/sh
diversion by dash to: /bin/sh.distrib
dash: /bin/sh


Also, requiring bash is not that big an issue on FreeBSD. We already require gnu make
so requiring gnu shell is not something developers should really mind.

^ permalink raw reply	[flat|nested] 7+ messages in thread

end of thread, other threads:[~2018-08-06 17:12 UTC | newest]

Thread overview: 7+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2018-08-01  5:22 [dpdk-dev] [PATCH] devtools: trap SIGINT is not recognizable to dash Gavin Hu
2018-08-01 10:40 ` [dpdk-dev] [dpdk-stable] " Mcnamara, John
2018-08-01 13:09   ` Varghese, Vipin
2018-08-01 14:37   ` Thomas Monjalon
2018-08-03 22:17 ` [dpdk-dev] " Stephen Hemminger
2018-08-04  6:42   ` Gavin Hu
2018-08-06 17:12     ` Stephen Hemminger

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).